Skip to main content
`Ctrl`+`K`

# PetscDSSetDiscretization

Sets the discretization object for the given field

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetDiscretization(PetscDS prob, PetscInt f, PetscObject disc)

Not Collective

## Input Parameters

- prob - The `PetscDS` object

- f - The field number

- disc - The discretization object

## See Also

`PetscDS`, `PetscFE`, `PetscFV`, `PetscDSGetDiscretization()`, `PetscDSAddDiscretization()`, `PetscDSGetNumFields()`, `PetscDSCreate()`

## Level

beginner

## Location

src/dm/dt/interface/dtds.c

## Examples

src/ts/tutorials/ex48.c
src/snes/tutorials/ex63.c
src/tao/tutorials/ex3.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages